Subject: RE: Tcl/tk doesn't seem to append .exe to symlinks in Cygwin
From: "Thrall, Bryan" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 15 Sep 2006 12:39:19 -0500

Thrall, Bryan wrote on Tuesday, August 29, 2006 7:10 PM:
> I understand this is the place to report problems with Cygwin's tcltk
> package? 
> 
> It looks like the wish.exe provided by tcltk doesn't properly handle
> symbolic links to executables. A simple test case: 
> 
>>>>>>>>>>>> 
> $ ls -l foo.exe wishtest
> lrwxrwxrwx  1 thrall FSUsers  11 Aug 29 18:31 foo.exe -> /bin/ls.exe
> -rwxr-xr-x  1 thrall FSUsers 148 Aug 29 18:33 wishtest
> 
> $ cat wishtest
> #!/usr/bin/wish
> 
> set B [open "|foo 2>@stdout" r+]
> set I [gets $B ]
> 
> frame .fr
> label .fr.head -text "$I"
> grid config .fr.head
> pack .fr
> 
> close $B
> <<<<<<<<<<<<<
> 
> When I run wishtest, I expect opening the pipe to find foo in the
> current directory, but instead I get an error popup ("couldn't open
> "foo": no such file or directory"). If you replace foo with foo.exe,
> everything works fine.   
> 
> From my cygcheck output (let me know if you need the whole thing):
> tcltk                   20060202-1
> cygwin                  1.5.18-1
> 
> Please CC me on replies; I'm not subscribed to the insight list.
> 
> Thanks,

(cc'd to cygwin list in case the insight list *isn't* the right place)

Has anyone had a chance to look at this yet?

Unfortunately I don't really have the time to dig my way through the
insight code at the moment looking for a fix, so even some pointers that
would speed up my search would be helpful.

Thanks,
-- 
Bryan Thrall
FlightSafety International
[email-masked]

.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/